perl-warnings-unused-0.06-alt4.1.x86_64.rpm


Advertisement

Description

perl-warnings-unused - Produces warnings when unused variables are detected

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports x86_64
Package filename perl-warnings-unused-0.06-alt4.1.x86_64.rpm
Package name perl-warnings-unused
Package version 0.06
Package release alt4.1
Package architecture x86_64
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 19.47 KB
Installed size 19.47 KB
Note: The author no longer maintain this module. Consider the Test::Vars manpage if you detect unused vars as a unit test.
This pragmatic module extends lexical warnings to complain about unused
variables.
It produces warnings when a `my' variable or `state' variable is unused aside
from its declaration.
Given you write a subroutine like this:
sub f{
my($x, $y, $z) = @_;
$y++;             # used
return sub{ $z }; # used
}
The code above will be complained about `$x', because it is used nowhere
aside from its declaration.
You should write `f()' like this:
sub f{
my(undef, $y, $z) = @_;
$y++;             # used
return sub{ $z }; # used
}
Here, one will see the obvious intention to ignore the first argument of
`f()'.
The check routine works only at the compile time, so it affect nothing
about the run time.

Alternatives

Package Version Architecture Repository
perl-warnings-unused-0.06-alt4.1.i586.rpm 0.06 i586 Autoimports
perl-warnings-unused - - -

Requires

Name Value
/usr/lib64/perl5 -
libc.so.6(GLIBC_2.2.5)(64bit) -
libperl-5.28.so()(64bit) -
perl(XSLoader.pm) >= 0.060
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
perl(warnings/unused.pm) = 0.060
perl-warnings-unused = 0.06-alt4.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-warnings-unused-0.06-alt4.1.x86_64.rpm
Source Package perl-warnings-unused-0.06-alt4.1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus x86_64 autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-warnings-unused rpm package:
    # sudo apt-get install perl-warnings-unused

Files

Path
/usr/lib64/perl5/auto/warnings/
/usr/lib64/perl5/auto/warnings/unused/unused.so
/usr/lib64/perl5/warnings/unused.pm
/usr/share/doc/perl-warnings-unused-0.06/Changes
/usr/share/doc/perl-warnings-unused-0.06/README
/usr/share/doc/perl-warnings-unused-0.06/example/lint-unused.pl
/usr/share/doc/perl-warnings-unused-0.06/example/simple.pl

See Also

Package Description
pgdbf-0.6.2-alt1_6.x86_64.rpm Convert XBase / FoxPro databases to PostgreSQL
pgsphere-1.1.1-alt1_22.x86_64.rpm Spherical data types, functions, and operators for PostgreSQL
phalanx-22-alt1_14.x86_64.rpm A Chess Engine
photoqt-1.7.1-alt1_4.x86_64.rpm A fast Qt image viewer
pianobooster-0.6.4b-alt1_21.x86_64.rpm A MIDI file player that teaches you how to play the piano
picprog-1.9.1-alt1_12.x86_64.rpm Microchip PIC serial programmer software
pidgin-awayonlock-0.5.2-alt1_5.x86_64.rpm Away-on-Lock is simple plugin for Pidgin
pidgin-chime-1.2-alt1_2.x86_64.rpm Pidgin/libpurple protocol plugin for Amazon Chime
pidgin-gpg-0.9-alt1_8.x86_64.rpm GPG plugin for pidgin
pidgin-groupchat-typing-notifications-3-alt1_3.x86_64.rpm Adds typing notifications for group chats in Pidgin
pidgin-indicator-1.0.1-alt1_2.x86_64.rpm StatusNotifierItem tray icon plugin for Pidgin
pidgin-latex-1.5.0-alt1_5.x86_64.rpm Use LaTeX formulas in your pidgin conversations
pidgin-logviewer-0.2-alt1_25.20110228svn15.x86_64.rpm User-friendly and intuitive chat log viewer for Pidgin
pidgin-msn-pecan-0.1.4-alt1_2.x86_64.rpm Alternative implementation of the MSN protocol plug-in for libpurple
pidgin-musictracker-0.4.22-alt1_19.x86_64.rpm Musictracker plug-in for Pidgin
Advertisement
Advertisement